Skip to main content
GET
/
v1
/
uploads
List uploads
curl --request GET \
  --url https://{instance}.omniapp.co/api/v1/uploads \
  --header 'Authorization: Bearer <token>'
{
  "pageInfo": {
    "hasNextPage": false,
    "nextCursor": null,
    "pageSize": 20,
    "totalRecords": 2
  },
  "records": [
    {
      "id": "550e8400-e29b-41d4-a716-446655440000",
      "file_name": "users.csv",
      "view_name": "users",
      "connection_id": "660e8400-e29b-41d4-a716-446655440001",
      "in_db_as_table_name": "omni_upload_t550e8400",
      "model_id": "880e8400-e29b-41d4-a716-446655440003",
      "size_bytes": 1024,
      "created_at": "2025-01-15T10:00:00Z",
      "updated_at": "2025-01-15T10:00:00Z",
      "uploaded_by_user": {
        "id": "770e8400-e29b-41d4-a716-446655440002",
        "name": "John Doe"
      }
    }
  ]
}

Documentation Index

Fetch the complete documentation index at: https://docs.omni.co/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Can be either an Organization API Key or Personal Access Token (PAT).

Include in the Authorization header as: Bearer YOUR_TOKEN

Query Parameters

type
enum<string>
default:csv

Filter by upload type.

Available options:
csv,
spreadsheet
connectionId
string<uuid>

Filter by connection ID.

modelId
string<uuid>

Filter by model ID. Shared models return non-private connection uploads; workbook models return their own uploads.

searchTerm
string

Search term to filter by file name (case-insensitive).

pageSize
integer
default:20

Number of items to return.

Required range: 1 <= x <= 100
cursor
string

Cursor for pagination (from previous response).

sortField
enum<string>
default:updatedAt

Field to sort by.

Available options:
createdAt,
fileName,
updatedAt
sortDirection
enum<string>
default:desc

Sort direction.

Available options:
asc,
desc

Response

Uploads retrieved successfully.

pageInfo
object

Pagination information for paginated responses.

records
object[]